Bug 21699 - imapd seg faults - death by 11
imapd seg faults - death by 11
Status: CLOSED WONTFIX
Product: Red Hat Powertools
Classification: Retired
Component: cyrus-imapd (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-04 16:16 EST by David Saranen
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 12:49:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Saranen 2000-12-04 16:16:26 EST
cyrus-imapd-2.0.6-3 - built locally after removing patch3 per bug 19350
glibc-2.1.92-14
glibc-devel-2.1.92-14

imap log reports:

master[20716]: process 21815 exited, signaled to death by 11

gdb on core file reports

	#0  0x401afb1e in memcpy () from /lib/libc.so.6

This is a clean RH7 installation, and I'm trying to move mail over
from RH6. tar the files over, find and remove all cyrus.* in 
/var/spool/imap/user/* then run reconstruct. When attempt to read
messages, some, not all, cause imapd to die. It seems folder based,
as some folders are readable, others not.

The cyrus mailing list had something about patches from sleepycat
for db.

-Dave
Comment 1 David Saranen 2000-12-06 10:21:36 EST
backtrace from gdb follows:

#0  0x401afb1e in memcpy () from /lib/libc.so.6
#1  0x8073540 in strcpy () at ../sysdeps/generic/strcpy.c:31
#2  0x80735ca in strcpy () at ../sysdeps/generic/strcpy.c:31
#3  0x805c196 in strcpy () at ../sysdeps/generic/strcpy.c:31
#4  0x805bd3b in strcpy () at ../sysdeps/generic/strcpy.c:31
#5  0x80546be in strcpy () at ../sysdeps/generic/strcpy.c:31
#6  0x8051fcb in strcpy () at ../sysdeps/generic/strcpy.c:31
#7  0x8050129 in strcpy () at ../sysdeps/generic/strcpy.c:31
#8  0x804edf1 in strcpy () at ../sysdeps/generic/strcpy.c:31
#9  0x40148b65 in __libc_start_main (main=0x804eb30 <strcpy+380>,
   argc=1, ubp_av=0xbffffb74, init=0x804dd54 <_init>, fini=0x80daffc <_fini>,
   rtld_fini=0x4000df24 <_dl_fini>, stack_end=0xbffffb6c) at
   ../sysdeps/generic/libc-start.c:111
Comment 2 David Lawrence 2003-05-16 12:49:11 EDT
Closing as WONTFIX due to end of life of the Power Tools product line. Please
open a new bug report under the Red Hat Linux product if the component is still
included in the base Red Hat distribution.

Note You need to log in before you can comment on or make changes to this bug.